Bug 1243601 - Overcloud deploys default to qemu instead of kvm
Summary: Overcloud deploys default to qemu instead of kvm
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-rdomanager-oscplugin
Version: Director
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: y1
: 7.0 (Kilo)
Assignee: Lennart Regebro
QA Contact: Marius Cornea
URL:
Whiteboard:
: 1270396 1270397 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-15 21:38 UTC by Ben Nemec
Modified: 2023-02-22 23:02 UTC (History)
13 users (show)

Fixed In Version: python-rdomanager-oscplugin-0.0.10-1.el7ost
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-08 12:14:55 UTC
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Gerrithub.io 241837 0 None None None Never
Gerrithub.io 244138 0 None None None Never
Gerrithub.io 245162 0 None None None Never
Red Hat Product Errata RHSA-2015:1862 0 normal SHIPPED_LIVE Moderate: Red Hat Enterprise Linux OpenStack Platform 7 director update 2015-10-08 16:05:50 UTC

Description Ben Nemec 2015-07-15 21:38:17 UTC
Description of problem: By default the overcloud deployment uses qemu instead of kvm, and it's not obvious from the documentation that this needs to be changed.


Version-Release number of selected component (if applicable):


How reproducible: Always.


Steps to Reproduce:
1. Deploy to baremetal without specifying --libvirt-type kvm
2. Boot an instance.  It will use unaccelerated qemu.
3.

Actual results: Yugo performance from VM.


Expected results: Ferrari performance from VM.


Additional info: For RHOS 7 GA, this is likely a doc fix.  We should discuss whether to change the default in future releases, however.

Comment 4 Ben Nemec 2015-07-16 17:15:13 UTC
Note that this can be fixed after deployment by re-running the same deployment command with "--libvirt-type kvm" added.

Comment 6 Brent Eagles 2015-07-29 12:53:34 UTC
This is fairly critical and should be fixed as soon as practical. In addition to affecting performance, it prevents the use of features such as SR-IOV PCI passthrough.

Comment 7 Lennart Regebro 2015-08-24 10:53:21 UTC
Added a few doc improvements.

Comment 8 Lennart Regebro 2015-08-26 09:37:15 UTC
I also added a patch to change the default to KVM instead of QEMU, if it is decided that this is a bug that should be fixed.

https://review.gerrithub.io/#/c/244069

Comment 10 Lennart Regebro 2015-09-02 16:26:53 UTC
This bug needs documentation changes in any case, but we can also change the default from qemu to kvm, but I get conflicting opinions about if we should do that.

Comment 11 Stephen Gordon 2015-09-02 20:52:03 UTC
(In reply to Lennart Regebro from comment #10)
> This bug needs documentation changes in any case, but we can also change the
> default from qemu to kvm, but I get conflicting opinions about if we should
> do that.

WHY? We don't recommend the use of qemu emulation for real environments period from a Nova perspective.

Comment 12 chris alfonso 2015-09-02 21:02:51 UTC
There should no confusion any longer here. Default should be kvm. Thanks.

Comment 15 Marius Cornea 2015-09-07 14:13:31 UTC
[stack@instack ~]$ rpm -qa | grep python-rdomanager-oscplugin
python-rdomanager-oscplugin-0.0.10-1.el7ost.noarch

Deploy command: 

openstack overcloud deploy --templates 


Resulting config:
[heat-admin@overcloud-compute-0 ~]$ sudo grep virt_type /etc/nova/nova.conf | grep -v ^#
virt_type=kvm

Comment 17 errata-xmlrpc 2015-10-08 12:14:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:1862

Comment 18 Mike Burns 2015-10-15 16:19:13 UTC
*** Bug 1270397 has been marked as a duplicate of this bug. ***

Comment 19 Mike Burns 2015-10-15 16:21:13 UTC
*** Bug 1270396 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.